Bug 114067 - Pressing CTRL + ENTER does not create pagebreak if chapter numbering is selected [EDITING]
Summary: Pressing CTRL + ENTER does not create pagebreak if chapter numbering is selec...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.3.7.2 release
Hardware: All Windows (All)
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Chapter-Numbering Writer-Page-Break
  Show dependency treegraph
 
Reported: 2017-11-26 17:10 UTC by Clemens Prill
Modified: 2019-12-10 04:04 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Clemens Prill 2017-11-26 17:10:52 UTC
Description:
A new line is inserted instead of a new page break. This seems unexpected behavior to me but I'm not very sure if this is intended.

Steps to Reproduce:
1. Create a new document with a heading
2. Add capital numbers
3. Go to first character in line of heading so that the chapter number is selected and becomes gray
4. press CTRL + ENTER to create a new pagebreak

Actual Results:  
A new line is added, not a new pagebreak.

Expected Results:
A pagebreak is inserted.


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 5.3.7.2 (x64)
Build-ID: 6b8ed514a9f8b44d37a1b96673cbbdd077e24059


User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:57.0) Gecko/20100101 Firefox/57.0
Comment 1 Dieter 2017-11-26 18:35:08 UTC
I confirm this and also think that this is an inconsistent behaviour.
Comment 2 Dieter 2017-11-26 18:36:03 UTC
Additional information: Tested with

Version: 6.0.0.0.alpha1 (x64)
Build ID: c1d1f859b268f650143d48f294999cda0fa57350
CPU threads: 4; OS: Windows 10.0; UI render: default; 
Locale: de-DE (de_DE); Calc: group
Comment 3 Clemens Prill 2017-11-26 18:57:43 UTC
I have a similar issue to this reported one: I also can't add a pagebreak if I try to do it while I have any kind of index selected like table of content. This is an issue to me because I don't know how I can insert a new page as first page if the current first page is a page with a table of content and thus I can't type or insert anything before this index.

This could be related and thus fixed altogether.
Comment 4 Dieter 2017-11-26 19:12:42 UTC
There should only be one issue in a bug report. So I propose to open an new bug report for the second issue you mentioned. You can "connect" those two bugs, if you add the bug number in the field "See Also".
Comment 5 Clemens Prill 2017-11-26 19:26:27 UTC
I think that both case have the same cause: In both cases the pagebreak is not working when a special field is selected (like chapter number or table of content). Thus I would expect a bugfix which takes care of this in a more general approach, not just pagebreak while chapter number is selected.

If you think this could be two causes and it is not directly related to each other, just tell me. I will create a new issue then like you said.
Comment 6 Dieter 2017-11-30 20:45:54 UTC
I can add a page break at the beginning of a TOC, but it is part of the TOC. So I think it might be the problem, that you can't add a line before the TOC.

I'm not a developer, so I can't assess, if both problems can be solved together.
Comment 7 QA Administrators 2018-12-09 03:41:04 UTC Comment hidden (obsolete)
Comment 8 Dieter 2018-12-09 08:49:30 UTC
Still repro in 

Version: 6.2.0.0.beta1 (x64)
Build ID: d1b41307be3f8c19fe6f1938cf056e7ff1eb1d18
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: en-US (de_DE); UI-Language: en-GB
Calc: threaded

Steps to Reproduce:
1. Create a new document with a heading
2. Add chapter numbering
3. Go to beginning of the heading line (in 6.2.0.0 chapter number is not grey, but that might be another bug)
4. press CTRL + ENTER to create a new pagebreak

Actual Results:  
A new line is added, not a new pagebreak.

Expected Results:
A pagebreak is inserted.

Additional information: If set cursor befor the first charakter of the heading (without headng number) a page break is set.
Comment 9 QA Administrators 2019-12-10 04:04:52 UTC
Dear Clemens Prill,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug